漏洞信息详情

Zephyr 输入验证错误漏洞

  • CNNVD编号:CNNVD-202005-449
  • 危害等级: 高危
  • CVE编号: CVE-2020-10058
  • 漏洞类型: 输入验证错误
  • 发布时间: 2020-05-11
  • 威胁类型: 本地
  • 更新时间: 2020-08-24
  • 厂        商:
  • 漏洞来源:

漏洞简介

Zephyr是美国Linux基金会的一套开源的小型的可缩放的实时操作系统。

Zephyr 2.1.0及之后版本(2.2.0版本已修复)中的Kscan子系统存在输入验证错误漏洞,该漏洞源于在进行多个系统调用时,程序没有执行充分的参数验证。攻击者可利用该漏洞提升权限。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://docs.zephyrproject.org/latest/security/vulnerabilities.html#CVE-2020-10067

参考网址

来源:MISC

链接:https://github.com/zephyrproject-rtos/zephyr/pull/23308

来源:MISC

链接:https://github.com/zephyrproject-rtos/zephyr/pull/23748

来源:MISC

链接:https://docs.zephyrproject.org/latest/security/vulnerabilities.html#cve-2020-10058

来源:MISC

链接:https://docs.zephyrproject.org/latest/security/vulnerabilities.html#CVE-2020-10058

来源:MISC

链接:https://zephyrprojectsec.atlassian.net/browse/ZEPSEC-34

来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2020-10058

来源:www.nsfocus.net

链接:http://www.nsfocus.net/vulndb/48007

受影响实体

    暂无


漏洞信息快速查询

相关漏洞

更多